org.jbpm.services.task.commands

## Class GetTasksByVariousFieldsCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<T>
  - - org.jbpm.services.task.commands.UserGroupCallbackTaskCommand<List<org.kie.api.task.model.TaskSummary>>
    - - org.jbpm.services.task.commands.GetTasksByVariousFieldsCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.GenericCommand<List<org.kie.api.task.model.TaskSummary>>, org.kie.api.command.Command<List<org.kie.api.task.model.TaskSummary>>

  Deprecated.

      @Deprecated
      public class GetTasksByVariousFieldsCommand
      extends UserGroupCallbackTaskCommand<List<org.kie.api.task.model.TaskSummary>>

  This command will be deleted as of jBPM 7.x.
  See Also:
    `TaskService#taskQuery()}`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetTasksByVariousFieldsCommand()` Deprecated.
    `GetTasksByVariousFieldsCommand(List<Long> workItemIds, List<Long> taskIds, List<Long> procInstIds, List<String> busAdmins, List<String> potOwners, List<String> taskOwners, List<org.kie.api.task.model.Status> statuses, boolean union)` Deprecated.
    `GetTasksByVariousFieldsCommand(List<Long> workItemIds, List<Long> taskIds, List<Long> procInstIds, List<String> busAdmins, List<String> potOwners, List<String> taskOwners, List<org.kie.api.task.model.Status> statuses, List<String> language, boolean union)` Deprecated.
    `GetTasksByVariousFieldsCommand(List<Long> workItemIds, List<Long> taskIds, List<Long> procInstIds, List<String> busAdmins, List<String> potOwners, List<String> taskOwners, List<org.kie.api.task.model.Status> statuses, List<String> language, boolean union, Integer maxResults)` Deprecated.
    `GetTasksByVariousFieldsCommand(Map<String,List<?>> params, boolean union)` Deprecated.
    `GetTasksByVariousFieldsCommand(Map<String,List<?>> params, boolean union, Integer maxResults)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.kie.api.task.model.TaskSummary>` | `execute(org.kie.internal.command.Context cntxt)` Deprecated.
    `List<String>` | `getBusAdmins()` Deprecated.
    `List<String>` | `getLanguage()` Deprecated.
    `Integer` | `getMaxResults()` Deprecated.
    `List<String>` | `getPotOwners()` Deprecated.
    `List<Long>` | `getProcInstIds()` Deprecated.
    `List<org.kie.api.task.model.Status>` | `getStatuses()` Deprecated.
    `List<Long>` | `getTaskIds()` Deprecated.
    `List<String>` | `getTaskOwners()` Deprecated.
    `Boolean` | `getUnion()` Deprecated.
    `List<Long>` | `getWorkItemIds()` Deprecated.
    `protected List<String>` | `populateOrganizationalEntityWithGroupInfo(List<String> entities, TaskContext context)` Deprecated. Populates given list with group information taken from UserGroupCallback implementation to allow proper query for tasks based on user assignments.
    `void` | `setBusAdmins(List<String> busAdmins)` Deprecated.
    `void` | `setLanguage(List<String> language)` Deprecated.
    `void` | `setMaxResults(Integer maxResults)` Deprecated.
    `void` | `setPotOwners(List<String> potOwners)` Deprecated.
    `void` | `setProcInstIds(List<Long> procInstIds)` Deprecated.
    `void` | `setStatuses(List<org.kie.api.task.model.Status> statuses)` Deprecated.
    `void` | `setTaskIds(List<Long> taskIds)` Deprecated.
    `void` | `setTaskOwners(List<String> taskOwners)` Deprecated.
    `void` | `setUnion(Boolean union)` Deprecated.
    `void` | `setWorkItemIds(List<Long> workItemIds)` Deprecated.

    - ### Methods inherited from class org.jbpm.services.task.commands.UserGroupCallbackTaskCommand

      `addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackAndReturnUserOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForAttachment, doCallbackOperationForComment, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doUserGroupCallbackOperation, filterGroups, persistIfNotExists`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetTasksByVariousFieldsCommand

          public GetTasksByVariousFieldsCommand()

      Deprecated.

    - #### GetTasksByVariousFieldsCommand

          public GetTasksByVariousFieldsCommand(List<Long> workItemIds,
                                                List<Long> taskIds,
                                                List<Long> procInstIds,
                                                List<String> busAdmins,
                                                List<String> potOwners,
                                                List<String> taskOwners,
                                                List<org.kie.api.task.model.Status> statuses,
                                                boolean union)

      Deprecated.

    - #### GetTasksByVariousFieldsCommand

          public GetTasksByVariousFieldsCommand(List<Long> workItemIds,
                                                List<Long> taskIds,
                                                List<Long> procInstIds,
                                                List<String> busAdmins,
                                                List<String> potOwners,
                                                List<String> taskOwners,
                                                List<org.kie.api.task.model.Status> statuses,
                                                List<String> language,
                                                boolean union)

      Deprecated.

    - #### GetTasksByVariousFieldsCommand

          public GetTasksByVariousFieldsCommand(List<Long> workItemIds,
                                                List<Long> taskIds,
                                                List<Long> procInstIds,
                                                List<String> busAdmins,
                                                List<String> potOwners,
                                                List<String> taskOwners,
                                                List<org.kie.api.task.model.Status> statuses,
                                                List<String> language,
                                                boolean union,
                                                Integer maxResults)

      Deprecated.

    - #### GetTasksByVariousFieldsCommand

          public GetTasksByVariousFieldsCommand(Map<String,List<?>> params,
                                                boolean union)

      Deprecated.

    - #### GetTasksByVariousFieldsCommand

          public GetTasksByVariousFieldsCommand(Map<String,List<?>> params,
                                                boolean union,
                                                Integer maxResults)

      Deprecated.

  - ### Method Detail

    - #### getWorkItemIds

          public List<Long> getWorkItemIds()

      Deprecated.

    - #### setWorkItemIds

          public void setWorkItemIds(List<Long> workItemIds)

      Deprecated.

    - #### getTaskIds

          public List<Long> getTaskIds()

      Deprecated.

    - #### setTaskIds

          public void setTaskIds(List<Long> taskIds)

      Deprecated.

    - #### getProcInstIds

          public List<Long> getProcInstIds()

      Deprecated.

    - #### setProcInstIds

          public void setProcInstIds(List<Long> procInstIds)

      Deprecated.

    - #### getBusAdmins

          public List<String> getBusAdmins()

      Deprecated.

    - #### setBusAdmins

          public void setBusAdmins(List<String> busAdmins)

      Deprecated.

    - #### getPotOwners

          public List<String> getPotOwners()

      Deprecated.

    - #### setPotOwners

          public void setPotOwners(List<String> potOwners)

      Deprecated.

    - #### getTaskOwners

          public List<String> getTaskOwners()

      Deprecated.

    - #### setTaskOwners

          public void setTaskOwners(List<String> taskOwners)

      Deprecated.

    - #### getStatuses

          public List<org.kie.api.task.model.Status> getStatuses()

      Deprecated.

    - #### setStatuses

          public void setStatuses(List<org.kie.api.task.model.Status> statuses)

      Deprecated.

    - #### getLanguage

          public List<String> getLanguage()

      Deprecated.

    - #### setLanguage

          public void setLanguage(List<String> language)

      Deprecated.

    - #### getUnion

          public Boolean getUnion()

      Deprecated.

    - #### setUnion

          public void setUnion(Boolean union)

      Deprecated.

    - #### getMaxResults

          public Integer getMaxResults()

      Deprecated.

    - #### setMaxResults

          public void setMaxResults(Integer maxResults)

      Deprecated.

    - #### execute

          public List<org.kie.api.task.model.TaskSummary> execute(org.kie.internal.command.Context cntxt)

      Deprecated.
      Specified by:
        `execute` in interface `org.drools.core.command.impl.GenericCommand<List<org.kie.api.task.model.TaskSummary>>`
      Overrides:
        `execute` in class `UserGroupCallbackTaskCommand<List<org.kie.api.task.model.TaskSummary>>`

    - #### populateOrganizationalEntityWithGroupInfo

          protected List<String> populateOrganizationalEntityWithGroupInfo(List<String> entities,
                                                                           TaskContext context)

      Deprecated.
      Populates given list with group information taken from UserGroupCallback implementation to allow proper query for tasks based on user assignments.
      Parameters:
        `entities` - - "raw" list of organizational entities
      Returns:
        if list is not null and not empty returns list of org entities populated with group info, otherwise same as argument

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.